<div class="row">
    <div class="col s12">
      <div class="container"><div id="register-page" class="row">
<div class="col s12 m6 l4 z-depth-4 card-panel border-radius-6 register-card bg-opacity-8">
  <form class="login-form" #f="ngForm" (ngSubmit)="save(f.value)"  novalidate="novalidate">
    
    

    <div class="row">
      <div class="input-field col s12">
        <h5 class="ml-4">Créer un compte</h5>
        <p class="ml-4">C’est rapide et facile.</p>

        <div class="card-alert card gradient-45deg-amber-amber"  *ngIf="f.submitted && IsFormNonValid">
          <div class="card-content white-text">
            <p>
              <i class="material-icons">warning</i>Username ou Émail déjà utilise</p>
          </div>
          <button type="button" class="close white-text" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">×</span>
          </button>
        </div>

      </div>
      
    </div>
   
    <div class="row margin">
      <div class="input-field col s12">
        <i class="material-icons prefix pt-2">mail_outline</i>

        <input id="email" class="validate" type="email" name="email" #email="ngModel" [(ngModel)]="user.email" required>
        <small  class="errorTxt1" *ngIf="email.touched  &&  email.invalid" ><div id="uname-error" class="error">saisir votre email</div></small>
        <label for="email">Email*</label>
      </div>
    </div>
    <div class="row margin">
      <div class="input-field col s6">
        <i class="material-icons prefix pt-2">lock_outline</i>
        <input id="password" class="validate" type="password" name="password" #password="ngModel" [(ngModel)]="user.password" required>
        <small  class="errorTxt1" *ngIf="password.touched  &&  password.invalid" ><div id="uname-error" class="error">saisir votre mote de passe</div></small>

        <label for="password">Password*</label>
      </div>
      <div class="input-field col s6">
        <i class="material-icons prefix pt-2">person_outline</i>
        <input id="username" class="validate" type="text" name="username" #username="ngModel" [(ngModel)]="user.username" required>
        <small  class="errorTxt1" *ngIf="username.touched  &&  username.invalid" ><div id="uname-error" class="error">saisir votre username</div></small>

        <label for="username" class="center-align">Username*</label>
      </div>
    </div>

    <div class="row margin">
      <div class="input-field col s6">
          <i class="material-icons prefix pt-2">store</i>
          <input id="nom" class="validate" type="text" name="nom" #nom="ngModel" [(ngModel)]="user.nom" required>
          <small  class="errorTxt1" *ngIf="nom.touched  &&  nom.invalid" ><div id="uname-error" class="error">saisir votre nom</div></small>

          <label for="nom" class="center-align">Nom agence*</label>
        </div>
        <div class="input-field col s6">
          <i class="material-icons prefix pt-2">local_phone</i>
          <input id="tel" class="validate" type="text" name="tel" #tel="ngModel" [(ngModel)]="user.tel" required>
          <small  class="errorTxt1" *ngIf="tel.touched  &&  tel.invalid" ><div id="uname-error" class="error">saisir votre numero tel</div></small>

          <label for="tel" class="center-align">Tel*</label>
        </div>
      </div>

      <div class="row margin">
        <div class="input-field col s6">
          <i class="material-icons prefix pt-2">assistant_photo</i>
          <input id="adressepostale" class="validate" type="text" name="adressepostale" #adressepostale="ngModel" [(ngModel)]="user.adressepostale" required>
          <small  class="errorTxt1" *ngIf="adressepostale.touched  &&  adressepostale.invalid" ><div id="uname-error" class="error">saisir votre adresse postale</div></small>

          <label for="adressepostale" class="center-align">Adresse Postale*</label>
        </div>
        <div class="input-field col s6">
          <i class="material-icons prefix pt-2">map</i>
          <input id="ville" type="text" class="validate" name="ville" #ville="ngModel" [(ngModel)]="user.ville" required>
          <small  class="errorTxt1" *ngIf="ville.touched  &&  ville.invalid" ><div id="uname-error" class="error">saisir votre ville</div></small>

          <label for="ville" class="center-align">Ville*</label>
        </div>
      </div>

      <div class="row margin">
        <div class="input-field col s6">
          <i class="material-icons prefix pt-2">attach_money
          </i>
          <input id="tva" type="text" class="validate" name="tva" #tva="ngModel" [(ngModel)]="user.tva" required>
          <small  class="errorTxt1" *ngIf="tva.touched  &&  tva.invalid" ><div id="uname-error" class="error">saisir votre numero tva</div></small>

          <label for="tva" class="center-align">Numero TVA*</label>
        </div>
        <div class="input-field col s6">
          <i class="material-icons prefix pt-2">account_balance
          </i>
          <input id="compteboncaire" class="validate"  type="text" name="compteboncaire" #compteboncaire="ngModel" [(ngModel)]="user.compteboncaire" required>
          <small  class="errorTxt1" *ngIf="compteboncaire.touched  &&  compteboncaire.invalid" ><div id="uname-error" class="error">saisir votre compte boncaire</div></small>

          <label for="compteboncaire" class="center-align">Compte Bancaire*</label>
        </div>
      </div>
   
    
    
  
   

    




    <div class="row">
      <div class="input-field col s12">
        <button [disabled]="f.invalid"         class="btn waves-effect waves-light border-round gradient-45deg-purple-deep-orange col s12">Inscription</button>
      </div>
    </div>
    <div class="row">
      <div class="input-field col s12">
        <p class="margin medium-small"><a [routerLink]="['/']">Already have an account? Login</a></p>
      </div>
    </div>
  </form>
</div>
</div>
      </div>
    </div>
  </div>